<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: BlockType Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_block_type.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_block_type-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">BlockType Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_types_for_analysis_8h_source.html">TypesForAnalysis.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a1194c46b6dc9acecff645a9ed4966e38"><td class="memItemLeft" align="right" valign="top">std::vector&lt; unsigned &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_block_type.html#a1194c46b6dc9acecff645a9ed4966e38">BranchCntNLevel_pair</a></td></tr>
<tr class="separator:a1194c46b6dc9acecff645a9ed4966e38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ba8c8fba3d09c88cff8f5bdb38c4ca7"><td class="memItemLeft" align="right" valign="top">const Stmt *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_block_type.html#a9ba8c8fba3d09c88cff8f5bdb38c4ca7">STMT</a></td></tr>
<tr class="separator:a9ba8c8fba3d09c88cff8f5bdb38c4ca7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af30ed63aba8db0d52545905bb89d04f4"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_block_type.html#af30ed63aba8db0d52545905bb89d04f4">isValid</a></td></tr>
<tr class="separator:af30ed63aba8db0d52545905bb89d04f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab08e9df13605239ab5700ba6c0324647"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_types_for_analysis_8h.html#a11fcd72f6819f92ccc28b76e6f825c1a">SupportedSubExpr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_block_type.html#ab08e9df13605239ab5700ba6c0324647">SubExpr_enum</a></td></tr>
<tr class="separator:ab08e9df13605239ab5700ba6c0324647"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a1194c46b6dc9acecff645a9ed4966e38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1194c46b6dc9acecff645a9ed4966e38">&#9670;&nbsp;</a></span>BranchCntNLevel_pair</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;unsigned&gt; BlockType::BranchCntNLevel_pair</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af30ed63aba8db0d52545905bb89d04f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af30ed63aba8db0d52545905bb89d04f4">&#9670;&nbsp;</a></span>isValid</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BlockType::isValid</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9ba8c8fba3d09c88cff8f5bdb38c4ca7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ba8c8fba3d09c88cff8f5bdb38c4ca7">&#9670;&nbsp;</a></span>STMT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const Stmt* BlockType::STMT</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab08e9df13605239ab5700ba6c0324647"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab08e9df13605239ab5700ba6c0324647">&#9670;&nbsp;</a></span>SubExpr_enum</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_types_for_analysis_8h.html#a11fcd72f6819f92ccc28b76e6f825c1a">SupportedSubExpr</a> BlockType::SubExpr_enum</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_block_type.html">BlockType</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
